aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-19 09:33:47 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-19 09:33:47 -0500
commitb50934ac69436d0d9b1979f01e9c66ef3bfb398b (patch)
tree8ada51752de8f52d24f43e16b8a4052c9adf1fd5 /lfs.sh
parent74a17c77d8f297d0d43950624711e72934522340 (diff)
Add retval to download and report failure.
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/lfs.sh b/lfs.sh
index 99ef263..57665e2 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -51,6 +51,10 @@ cp -rf *.sh chapter* packages.csv "${LFS}/sources"
cd "${LFS}/sources"
source download.sh
+retval=$?
+if [ "$retval" -ne 0 ]; then
+ exit 1
+fi
for package in binutils gcc linux-api-headers glibc libstdc++; do
source packageinstall.sh 5 $package